MAX30001G 1.0.1 Arduino library for MAX30001G ECG and BIOZ AFE

Public Member Functions | Public Attributes | List of all members
BIOZScanConfig Struct Reference

BIOZScanConfig configuration structure fields: More...

`#include <max30001g_typedefs.h>`

## Public Member Functions
| BIOZScanConfig ()

## Public Attributes
uint8_t | avg
bool | fast
bool | fourleads
uint8_t | freq_end_index
uint8_t | freq_start_index
float | high_target_fraction
int32_t | initial_current_nA
uint16_t | internal_resistor_ohm
float | low_target_fraction
uint8_t | max_retries
uint8_t | outlier_min_samples
float | outlier_sigma
float | target_fraction
uint16_t | timeout_margin_ms
bool | use_internal_resistor

## Detailed Description

BIOZScanConfig configuration structure fields:

config.avg = 2 number of samples to average at each frequency/phase point (1-8)

config.fast = false if true, use 60sps BIOZ sampling rate; otherwise use 30sps

config.fourleads = false if true, use 4-wire BIOZ configuration; otherwise use 2-wire

config.max_retries = 4 number of retries per frequency/phase point if measurement is unsuccessful (0-3)

config.low_target_fraction = 0.10f signal is low if below 10% of ADC range for current adjustment

config.high_target_fraction = 0.90f signal is high if above 90% of ADC range for current adjustment

config.target_fraction = 0.60f signal is ok if above 60% of ADC range for current adjustment

config.outlier_min_samples = 5 minimum number of samples required to perform outlier rejection when averaging at each point

config.outlier_sigma = 2.5f number of standard deviations for outlier rejection when averaging multiple readings at each point

config.timeout_margin_ms = 50 margin in milliseconds for FIFO read timeout when waiting for samples at each point

config.freq_start_index = 0 index of first modulation frequency to scan (0-10, corresponding to 128kHz..125Hz)

config.freq_end_index = 7 index of last modulation frequency to scan (0-10, corresponding to 128kHz..125Hz)

config.initial_current_nA = 8000 initial current magnitude in nanoAmps (55..96,000)

## Constructor & Destructor Documentation

## ◆ BIOZScanConfig()

BIOZScanConfig::BIOZScanConfig | ( |  | ) |
| inline

## Member Data Documentation

## ◆ avg

uint8_t BIOZScanConfig::avg

## ◆ fast

bool BIOZScanConfig::fast

## ◆ fourleads

bool BIOZScanConfig::fourleads

## ◆ freq_end_index

uint8_t BIOZScanConfig::freq_end_index

## ◆ freq_start_index

uint8_t BIOZScanConfig::freq_start_index

## ◆ high_target_fraction

float BIOZScanConfig::high_target_fraction

## ◆ initial_current_nA

int32_t BIOZScanConfig::initial_current_nA

## ◆ internal_resistor_ohm

uint16_t BIOZScanConfig::internal_resistor_ohm

## ◆ low_target_fraction

float BIOZScanConfig::low_target_fraction

## ◆ max_retries

uint8_t BIOZScanConfig::max_retries

## ◆ outlier_min_samples

uint8_t BIOZScanConfig::outlier_min_samples

## ◆ outlier_sigma

float BIOZScanConfig::outlier_sigma

## ◆ target_fraction

float BIOZScanConfig::target_fraction

## ◆ timeout_margin_ms

uint16_t BIOZScanConfig::timeout_margin_ms

## ◆ use_internal_resistor

bool BIOZScanConfig::use_internal_resistor

The documentation for this struct was generated from the following file:

- src/max30001g_typedefs.h